[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# THTObjectNode

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Node type for TFPObjectHashTable

## Declaration

Source position: contnrs.pp line 448

`type THTObjectNode = class(THTCustomNode)`
`public`
`property Data: TObject; [rw]` |  | Object instance
`end;`

## Inheritance

`THTObjectNode` |  | Node type for TFPObjectHashTable
`THTCustomNode` |  | Single item in the hash table.
`TObject`

## Description

THTObjectNode is a THTCustomNode descendent which holds the data in the TFPObjectHashTable hash table. It exposes a data string.

It should not be necessary to use THTObjectNode directly, it's only for inner use by TFPObjectHashTable

## See also

TFPObjectHashTable |  | Hash table for object instances

Documentation generated on: Feb 26 2014